Loading...
Searching...
No Matches
Dune::cpgrid::CombinedGridWellGraph Class Reference

A graph repesenting a grid together with the well completions. More...

`#include <ZoltanGraphFunctions.hpp>`

## Public Types

typedef std::vector< std::set< int > > | GraphType

## Public Member Functions

| CombinedGridWellGraph (const Dune::CpGrid &grid, const std::vector< OpmWellType > *wells, const std::unordered_map< std::string, std::set< int > > &possibleFutureConnections, const double *transmissibilities, bool pretendEmptyGrid, EdgeWeightMethod edgeWeightsMethod)
| Create a graph representing a grid together with the wells.
const Dune::CpGrid & | getGrid () const
| Access the grid.
const GraphType & | getWellsGraph () const
double | transmissibility (int face_index) const
double | logTransmissibilityWeights (int face_index) const
const WellConnections & | getWellConnections () const
double | edgeWeight (int face_index) const

## Detailed Description

A graph repesenting a grid together with the well completions.

The edges of the graph are formed by the superset of the edges representing the faces of the grid and the ones that represent the connections within the wells. If a well has completions on cell i and cell j, then there is an edge from i to j and j to i in the graph. Even for shut wells the connections will exist.

## Constructor & Destructor Documentation

## CombinedGridWellGraph()

Dune::cpgrid::CombinedGridWellGraph::CombinedGridWellGraph | ( | const Dune::CpGrid & | grid,
|  | const std::vector< OpmWellType > * | wells,
|  | const std::unordered_map< std::string, std::set< int > > & | possibleFutureConnections,
|  | const double * | transmissibilities,
|  | bool | pretendEmptyGrid,
|  | EdgeWeightMethod | edgeWeightsMethod )

Create a graph representing a grid together with the wells.

Parameters

  grid | The grid.
  wells | The wells used or null.
  possibleFutureConnections | Possible future connections of wells that might get added through an ACTIONX. The grid will then be partitioned such that these connections are on the same partition. If NULL, they will be neglected.
  transmissibilities | The transmissibilities associated with the faces. May be null
  pretendEmptyGrid | True if we should pretend the grid and wells are empty.
  edgeWeightsMethod | The method used to calculated the edge weights.

The documentation for this class was generated from the following file:

- opm/grid/common/ZoltanGraphFunctions.hpp